Index: res/res_musiconhold.c
===================================================================
RCS file: /usr/cvsroot/asterisk/res/res_musiconhold.c,v
retrieving revision 1.39.2.2
diff -u -4 -p -b -r1.39.2.2 res_musiconhold.c
--- res/res_musiconhold.c	6 Jan 2005 05:15:50 -0000	1.39.2.2
+++ res/res_musiconhold.c	7 Jan 2005 13:52:33 -0000
@@ -366,9 +366,9 @@ static int moh1_exec(struct ast_channel 
 		ast_log(LOG_WARNING, "WaitMusicOnHold requires an argument (number of seconds to wait)\n");
 		return -1;
 	}
 	if (ast_moh_start(chan, NULL)) {
-		ast_log(LOG_WARNING, "Unable to start music on hold (class '%s') on channel %s\n", (char *)data, chan->name);
+		ast_log(LOG_WARNING, "Unable to start music on hold (%s seconds to wait) on channel %s\n", (char *)data, chan->name);
 		return -1;
 	}
 	res = ast_safe_sleep(chan, atoi(data) * 1000);
 	ast_moh_stop(chan);
